/*разделы над каталогом*/

.t-store__parts-switch-wrapper {
    max-width: 100%;
    margin-left: 20px;
    margin-right: 20px;
    background-color: #D9E4F5;
    border-radius: 0px;
    padding: 0px 0px;
    display: flex;
    justify-content: center;
    overflow: hidden; /* Чтобы кнопки не выходили за границы */
}

/* Базовые стили для мобильных устройств */
.t-store__parts-switch-btn {
    margin: 0 0 !important;
    padding-top: 8px;
    padding-bottom: 8px;
    transition: color .3s;
    flex: 1; /* Равномерное распределение */
    min-width: 120px; /* Минимальная ширина для мобильных */
    max-width: none; /* Убираем ограничение максимальной ширины */
    box-sizing: border-box;
}

.t-store__parts-switch-btn:hover {
    background-color: #1F1F1F;
    color: #DEDEDE !important;
}


.t-store__grid-cont_col-width_stretch {
    padding: 0 0 !important;
}

/* Планшеты */
@media (min-width: 768px) {
    .t-store__parts-switch-btn {
        min-width: 140px;
    }
}

/* Небольшие десктопы */
@media (min-width: 1024px) {
    .t-store__parts-switch-btn {
        min-width: 150px;
    }
}

/* Средние десктопы */
@media (min-width: 1280px) {
    .t-store__parts-switch-btn {
        min-width: 170px;
    }
}

/* Большие десктопы */
@media (min-width: 1440px) {
    .t-store__parts-switch-btn {
        min-width: 190px;
    }
}

/* Очень большие экраны */
@media (min-width: 1920px) {
    .t-store__parts-switch-btn {
        min-width: 220px;
    }
}

/* Мобильная адаптивность */
@media (max-width: 560px) {
    .t-store__parts-switch-wrapper {
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;
        margin-left: 20px;
        margin-right: 20px;
        justify-content: flex-start; /* Для горизонтального скролла */
    }
    
    .t-store__parts-switch-btn {
        flex: 0 0 auto; /* Фиксированная ширина для скролла */
        min-width: 125px;
    }
    
    .t-store__grid-cont:has(.t-store__parts-switch-wrapper) {
        overflow: auto;
        margin-bottom: 40px;
        scrollbar-width: thin !important;
    }

}



.t-store__card__sold-out-msg {
  visibility: hidden;
}
.t-store__card__sold-out-msg:after {
  content:'В наличии'; 
  visibility: visible;
  display: block;
  color: #777777;
}